﻿<div class="top-row pl-4 navbar navbar-dark">
    <a class="navbar-brand" href="">RSSF Cidade Digital</a>
    <button class="navbar-toggler" @onclick="ToggleNavMenu">
        <span class="navbar-toggler-icon"></span>
    </button>
</div>

<div class="@NavMenuCssClass" @onclick="ToggleNavMenu">
    <ul class="nav flex-column">
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="" Match="NavLinkMatch.All">
                <span class="oi oi-globe" aria-hidden="true"></span> Visão Geral
            </NavLink>

            <NavLink class="nav-link" href="cell" Match="NavLinkMatch.All">
                <span class="oi oi-home" aria-hidden="true"></span> Ver Célula Remoc
            </NavLink>

            <NavLink class="nav-link" href="csv" Match="NavLinkMatch.All">
                <span class="oi oi-file" aria-hidden="true"></span> Dados Brutos
            </NavLink>
        </li>
    </ul>
</div>

@code {
    private bool collapseNavMenu = true;

    private string NavMenuCssClass => collapseNavMenu ? "collapse" : null;

    private void ToggleNavMenu()
    {
        collapseNavMenu = !collapseNavMenu;
    }
}
